<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Lists.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Lists.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Lists.hh</h1><div><a href="../../../Source/Synopsis/PTree/Lists.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="operations.hh.html" >Synopsis/PTree/operations.hh</a></li>
<li>include <a href="Lists.hh.html" >Synopsis/PTree/Lists.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/AccessDecl.html" >AccessDecl</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/AccessSpec.html" >AccessSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ArrayExpr.html" >ArrayExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >ArrowMemberExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/AssignExpr.html" >AssignExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Block.html" >Block</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Brace.html" >Brace</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/BreakStatement.html" >BreakStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CaseStatement.html" >CaseStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CastExpr.html" >CastExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ClassBody.html" >ClassBody</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ClassSpec.html" >ClassSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CondExpr.html" >CondExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ContinueStatement.html" >ContinueStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declaration.html" >Declaration</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html" >Declarator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DefaultStatement.html" >DefaultStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DeleteExpr.html" >DeleteExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DoStatement.html" >DoStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DotMemberExpr.html" >DotMemberExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/EnumSpec.html" >EnumSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ExprStatement.html" >ExprStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Expression.html" >Expression</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ExpressionT.html" >ExpressionT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ExternTemplate.html" >ExternTemplate</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ForStatement.html" >ForStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/FstyleCastExpr.html" >FstyleCastExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/FuncallExpr.html" >FuncallExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/FunctionDefinition.html" >FunctionDefinition</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/GotoStatement.html" >GotoStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/IfStatement.html" >IfStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/InfixExpr.html" >InfixExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/LabelStatement.html" >LabelStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/LinkageSpec.html" >LinkageSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/MetaclassDecl.html" >MetaclassDecl</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Name.html" >Name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/NamespaceAlias.html" >NamespaceAlias</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/NamespaceSpec.html" >NamespaceSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/NewExpr.html" >NewExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/OffsetofExpr.html" >OffsetofExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ParameterDeclaration.html" >ParameterDeclaration</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ParenExpr.html" >ParenExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/PmExpr.html" >PmExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/PostfixExpr.html" >PostfixExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ReturnStatement.html" >ReturnStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/SizeofExpr.html" >SizeofExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/StatementT.html" >StatementT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/StaticUserStatementExpr.html" >StaticUserStatementExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/SwitchStatement.html" >SwitchStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TemplateDecl.html" >TemplateDecl</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TemplateInstantiation.html" >TemplateInstantiation</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ThrowExpr.html" >ThrowExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TryStatement.html" >TryStatement</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeParameter.html" >TypeParameter</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Typedef.html" >Typedef</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeidExpr.html" >TypeidExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeofExpr.html" >TypeofExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UnaryExpr.html" >UnaryExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UserAccessSpec.html" >UserAccessSpec</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UserStatementExpr.html" >UserStatementExpr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UserdefKeyword.html" >UserdefKeyword</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UsingDeclaration.html" >UsingDeclaration</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UsingDirective.html" >UsingDirective</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/WhileStatement.html" >WhileStatement</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::AccessSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/AccessSpec.html#my_comments" >my_comments</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::ClassSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ClassSpec.html#my_comments" >my_comments</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ClassSpec.html#my_name" >my_name</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Declaration</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declaration.html#my_comments" >my_comments</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Declarator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#my_comments" >my_comments</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#my_declared_name" >my_declared_name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#my_name" >my_name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::EnumSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/EnumSpec.html#my_name" >my_name</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::FstyleCastExpr</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/FstyleCastExpr.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Name</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Name.html#my_name" >my_name</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::NamespaceSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/NamespaceSpec.html#my_comments" >my_comments</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Brace</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_r" >Brace&#40;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_cNode_S_r" >Brace&#40;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Brace.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::ClassSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/ClassSpec.html#ClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r" >ClassSpec&#40;const&#160;Encoding&amp;&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Declarator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lDeclarator_S_cNode_S_cNode_S_r" >Declarator&#40;Declarator*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;Node*&#44;Node*&#44;const&#160;Encoding&amp;&#44;const&#160;Encoding&amp;&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_r" >Declarator&#40;Node*&#44;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lNode_S_cconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;Node*&#44;const&#160;Encoding&amp;&#44;const&#160;Encoding&amp;&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_r" >Declarator&#40;const&#160;Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Declarator.html#Declarator_lconst.Encoding_A_cconst.Encoding_A_cNode_S_r" >Declarator&#40;const&#160;Encoding&amp;&#44;const&#160;Encoding&amp;&#44;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::FstyleCastExpr</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/FstyleCastExpr.html#FstyleCastExpr_lconst.Encoding_A_cNode_S_cNode_S_r" >FstyleCastExpr&#40;const&#160;Encoding&amp;&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::NamespaceSpec</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/NamespaceSpec.html#get_comments_l_r" >get_comments&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::TemplateDecl</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TemplateDecl.html#TemplateDecl_lNode_S_r" >TemplateDecl&#40;Node*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
